Create block

Create a new block.

POST
/v1/blocks

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

Block params

TypeScript Definitions

Use the request body type in TypeScript.

Request schema for creating a block.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/blocks" \  -H "Content-Type: application/json" \  -d '{    "all_day": false,    "attachment_type": "provider",    "attachments": [      "prov_d025a96ac0c6"    ],    "date": "2025-10-27",    "end_time": "17:00",    "exception_dates": [      "2025-10-27T09:00:00"    ],    "recurrence_rule": {      "byday": [        "mo",        "we",        "fr"      ],      "freq": "weekly"    },    "start_time": "09:00",    "time_zone": "America/New_York",    "title": "Initial Consult"  }'
{  "data": {    "all_day": false,    "attachment_type": "provider",    "attachments": [      "prov_d025a96ac0c6"    ],    "created_at": "2017-09-12T12:34:55Z",    "date": "2025-10-27",    "end_time": "17:00",    "exception_dates": [      "2025-10-27T09:00:00"    ],    "id": "blk_d025a96ac0c6",    "object": "block",    "recurrence_rule": {      "byday": [        "mo",        "we",        "fr"      ],      "freq": "weekly"    },    "service_id": null,    "start_time": "09:00",    "time_zone": "America/New_York",    "title": "Team Meeting",    "updated_at": "2017-09-13T10:11:12Z"  }}